package cz.muni.fi.pa165.core.manufacturer;

import cz.muni.fi.pa165.core.common.DomainFacade;
import cz.muni.fi.pa165.model.dto.manufacturer.ManufacturerCreateDto;
import cz.muni.fi.pa165.model.dto.manufacturer.ManufacturerDto;
import cz.muni.fi.pa165.model.dto.manufacturer.ManufacturerUpdateDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ManufacturerFacade extends DomainFacade<Manufacturer,
		ManufacturerDto,
		ManufacturerCreateDto,
		ManufacturerUpdateDto> {

	private ManufacturerService manufacturerService; // For the "ManufacturerService" specific methods
	@Autowired
	public ManufacturerFacade(ManufacturerService manufacturerService,
						ManufacturerMapper manufacturerMapper) {
		super(manufacturerService, manufacturerMapper);
		this.manufacturerService = manufacturerService;
	}
}
