package cz.muni.fi.pa165.core.company;

import cz.muni.fi.pa165.core.common.DomainFacade;
import cz.muni.fi.pa165.model.dto.company.CompanyCreateDto;
import cz.muni.fi.pa165.model.dto.company.CompanyDto;
import cz.muni.fi.pa165.model.dto.company.CompanyUpdateDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;


@Component
public class CompanyFacade extends DomainFacade<Company, CompanyDto, CompanyCreateDto, CompanyUpdateDto> {
	private final CompanyService companyService; // For the "CompanyService" specific methods

	@Autowired
	public CompanyFacade(CompanyService companyService,
						 CompanyMapper companyMapper) {
		super(companyService, companyMapper);
		this.companyService = companyService;
	}
}