package cz.muni.fi.pa165.core.device;

import cz.muni.fi.pa165.core.common.DomainFacade;
import cz.muni.fi.pa165.model.dto.device.DeviceCreateDto;
import cz.muni.fi.pa165.model.dto.device.DeviceDto;
import cz.muni.fi.pa165.model.dto.device.DeviceUpdateDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class DeviceFacade extends DomainFacade<Device, DeviceDto, DeviceCreateDto, DeviceUpdateDto> {

	private final DeviceService deviceService; // For the "DeviceService" specific methods

	@Autowired
	public DeviceFacade(DeviceService deviceService, DeviceMapper deviceMapper) {
		super(deviceService, deviceMapper);
		this.deviceService = deviceService;
	}
}
