package cz.muni.fi.pa165.core.manufacturer;

import cz.muni.fi.pa165.core.common.DomainService;
import lombok.Getter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ManufacturerService extends DomainService<Manufacturer> {
  @Getter
  private final ManufacturerRepository repository;

  @Autowired
  public ManufacturerService(ManufacturerRepository manufacturerRepository) {
    repository = manufacturerRepository;
  }

}
