package cz.muni.fi.pa165.core.metrics;

import cz.muni.fi.pa165.core.common.DomainFacade;
import cz.muni.fi.pa165.model.dto.metrics.MetricsCreateDto;
import cz.muni.fi.pa165.model.dto.metrics.MetricsDto;
import cz.muni.fi.pa165.model.dto.metrics.MetricsUpdateDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class MetricsFacade extends DomainFacade<Metrics,
		MetricsDto,
		MetricsCreateDto,
		MetricsUpdateDto> {
	private MetricsService metricsService; // For the "MetricsService" specific methods
	@Autowired
	public MetricsFacade(MetricsService metricsService,
						 MetricsMapper metricsMapper) {
		super(metricsService, metricsMapper);
		this.metricsService = metricsService;
	}
}
