package cz.muni.fi.pa165.core.smartmeter;

import cz.muni.fi.pa165.core.common.DomainFacade;
import cz.muni.fi.pa165.model.dto.smartDevice.SmartMeterCreateDto;
import cz.muni.fi.pa165.model.dto.smartDevice.SmartMeterDto;
import cz.muni.fi.pa165.model.dto.smartDevice.SmartMeterUpdateDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class SmartMeterFacade extends DomainFacade<SmartMeter,
		SmartMeterDto,
		SmartMeterCreateDto,
		SmartMeterUpdateDto> {
	private final SmartMeterService smartMeterService; // For the "SmartMeterService" specific methods

	@Autowired
	public SmartMeterFacade(SmartMeterService smartMeterService,
							SmartMeterMapper smartMeterMapper
	) {
		super(smartMeterService, smartMeterMapper);
		this.smartMeterService = smartMeterService;
	}
}
