package cz.muni.fi.pa165.microservice3.email;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.stereotype.Service;

@Service
public class EmailService {

	private final JavaMailSender javaMailSender;

	@Autowired
	public EmailService(JavaMailSender javaMailSender) {
		this.javaMailSender = javaMailSender;
	}


	public void sendTextEmail(EmailTemplate emailTemplate) {

		SimpleMailMessage msg = new SimpleMailMessage();
		msg.setTo(emailTemplate.getSendTo());
		msg.setSubject(emailTemplate.getSubject());
		msg.setText(emailTemplate.getBody());
		//TODO Setting username and password in application.yaml is needed
		//javaMailSender.send(msg);
	}
}
